summaryrefslogtreecommitdiffstats
path: root/qa/workunits/test_telemetry_pacific.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xqa/workunits/test_telemetry_pacific.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/qa/workunits/test_telemetry_pacific.sh b/qa/workunits/test_telemetry_pacific.sh
new file mode 100755
index 000000000..a971f5883
--- /dev/null
+++ b/qa/workunits/test_telemetry_pacific.sh
@@ -0,0 +1,23 @@
+#!/bin/bash -ex
+
+# Set up ident details for cluster
+ceph config set mgr mgr/telemetry/channel_ident true
+ceph config set mgr mgr/telemetry/organization 'ceph-qa'
+ceph config set mgr mgr/telemetry/description 'upgrade test cluster'
+
+# Opt-in
+ceph telemetry on --license sharing-1-0
+
+# Check last_opt_revision
+LAST_OPT_REVISION=$(ceph config get mgr mgr/telemetry/last_opt_revision)
+if [ $LAST_OPT_REVISION -ne 3 ]; then
+ echo "last_opt_revision is incorrect."
+ exit 1
+fi
+
+# Check reports
+ceph telemetry show
+ceph telemetry show-device
+ceph telemetry show-all
+
+echo OK